<?

/* Nulled by Wizzywig */
/***********تعريب***********/
/**          saher        **/
/**  منتديات شباب وصبايا  **/
/**   www.shababtop.com   **/
/**  saher1986@live.com   **/
/***************************/
	session_start();
	require ("../includes/data_core.php");
	require_once ("includes/functions_update.php");

	// Check Admin is Logged In
	require ("includes/functions_login.php");
	
	// Get the page to process
	if (!empty($_GET['do']))
		$do = $_GET['do'];
	else
		$do = "update";
	
	// Theme Install Submit Processor
	if (isset($_POST['theme_install_submit']) || isset($_POST['theme_install_submit_x'])) {
		if (!isset($_POST[theme_active])) { $_POST[theme_active] = 0; }
		if (!isset($_POST[theme_default])) { $_POST[theme_default] = 0; }
		
		$sql = "SELECT * FROM arrowchat_themes WHERE arrowchat_themes.folder='".mysql_real_escape_string($_POST[theme_folder])."' OR arrowchat_themes.name='".mysql_real_escape_string($_POST[theme_name])."'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$error = "هناك ستايل يستخدم نفس الإسم او مكان المجلد .";
		}

		if (empty($_POST['theme_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا الستايل.";
		}
		
		if (empty($_POST['theme_folder'])) {
			$error = "يجب أن تكتب مسار المجلد لهذا الستايل.";
		}
		
		if (empty($error)) {
		
			if ($_POST['theme_default'] == 1) {
				$sql = "UPDATE arrowchat_themes SET arrowchat_themes.deafult='0'";
				mysql_query($sql);
				$sql = "UPDATE arrowchat_config SET config_value='".mysql_real_escape_string($_POST[theme_folder])."' WHERE config_name='theme'";
				mysql_query($sql);
				update_config_file();
			}
			
			$sql = "INSERT INTO arrowchat_themes (arrowchat_themes.folder, arrowchat_themes.name, arrowchat_themes.active, arrowchat_themes.default) VALUES ('".mysql_real_escape_string($_POST[theme_folder])."', '".mysql_real_escape_string($_POST[theme_name])."', '".mysql_real_escape_string($_POST[theme_active])."', '".mysql_real_escape_string($_POST[theme_default])."')";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تثبيت الستايل بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
	}
	
	// Theme Edit Processor
	if (isset($_POST['theme_edit_submit']) || isset($_POST['theme_edit_submit_x'])) {
		if (!isset($_POST[theme_active])) { $_POST[theme_active] = 0; }
		if (!isset($_POST[theme_default])) { $_POST[theme_default] = 0; }
		
		$sql = "SELECT * FROM arrowchat_themes WHERE (arrowchat_themes.folder='".mysql_real_escape_string($_POST[theme_folder])."' OR arrowchat_themes.name='".mysql_real_escape_string($_POST[theme_name])."') AND arrowchat_themes.id != '".mysql_real_escape_string($_POST[theme_id])."'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$error = "هناك ستايل يستخدم نفس الإسم او مكان المجلد .";
		}

		if (empty($_POST['theme_name'])) {
			$error = "يجب أن تكتب إسمًا لهذا الستايل.";
		}
		
		if (empty($_POST['theme_folder'])) {
			$error = "يجب أن تكتب مسار المجلد لهذا الستايل.";
		}
		
		if (empty($error)) {
		
			if ($_POST['theme_default'] == 1) {
				$sql = "UPDATE arrowchat_themes SET arrowchat_themes.default='0'";
				mysql_query($sql);
				$sql = "UPDATE arrowchat_config SET config_value='".mysql_real_escape_string($_POST[theme_folder])."' WHERE config_name='theme'";
				mysql_query($sql);
				update_config_file();
			}
			
			$sql = "UPDATE arrowchat_themes SET arrowchat_themes.folder='".mysql_real_escape_string($_POST[theme_folder])."', arrowchat_themes.name='".mysql_real_escape_string($_POST[theme_name])."', arrowchat_themes.active='".mysql_real_escape_string($_POST[theme_active])."', arrowchat_themes.default='".mysql_real_escape_string($_POST[theme_default])."' WHERE id='".mysql_real_escape_string($_POST[theme_id])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تعديل الستايل بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
		$_GET['id'] = $_POST['theme_id'];
	}
	
	// Save Smilies Processor
	if (isset($_POST['smiley_submit']) || isset($_POST['smiley_submit_x'])) {
		for ($i = 1; $i < $_POST['smiley_count']; $i++) {
			$name = mysql_real_escape_string($_POST['smiley_name_'.$i]);
			$pattern = mysql_real_escape_string($_POST['smiley_pattern_'.$i]);
			$smileyid = mysql_real_escape_string($_POST['smiley_id_'.$i]);
			$sql = "UPDATE arrowchat_smilies SET arrowchat_smilies.name='".$name."', arrowchat_smilies.code='".stripslashes($pattern)."' WHERE arrowchat_smilies.id='".$smileyid."'";
			mysql_query($sql);
		}
		$msg = "تم تعديل الابتسامات بنجاح.";
	}
	
	// Add Smiley Processor
	if (isset($_POST['add_smiley_submit']) || isset($_POST['add_smiley_submit_x'])) {
		if (empty($_POST['add_smiley_name'])) {
			$error = "يجب أن تكتب إسمًا لهذه الابتسامة.";
		}
		
		if (empty($_POST['add_smiley_pattern'])) {
			$error = "يجب أن تكتب رمزًا لهذه الابتسامة.";
		}
		
		if (empty($error)) {
			$sql = "INSERT INTO arrowchat_smilies (name, code) VALUES ('".mysql_real_escape_string($_POST[add_smiley_name])."', '".mysql_real_escape_string($_POST[add_smiley_pattern])."')";
			$result = mysql_query($sql);
			if ($result) {
				update_config_file();
				$msg = "تم إضافة الابتسامة بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
	}
	
	// Delete Smiley Processor
	if (isset($_GET['deletesmiley'])) {
		if (empty($_GET['deletesmiley'])) {
			$error = "لم يتم العثور على الابتسامة المراد حذفها.";
		}
		
		$sql = "SELECT id FROM arrowchat_smilies WHERE id='".mysql_real_escape_string($_GET['deletesmiley'])."'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$sql = "DELETE FROM arrowchat_smilies WHERE id='".mysql_real_escape_string($_GET['deletesmiley'])."'";
			$result = mysql_query($sql);
			if ($result) {
				update_config_file();
				$msg = "تم حذف الابتسامة بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		} else {
			$error = "لا يوجد ابتسامة بهذا الإسم.";
		}
	}
	
	// Activate Theme Processor
	if (isset($_GET['activate'])) {
		if (empty($_GET['id'])) {
			$error = "لم يتم العثور على الستايل المراد تفعيله.";
		}
		
		$sql = "SELECT arrowchat_themes.default FROM arrowchat_themes WHERE id='".mysql_real_escape_string($_GET['id'])."' AND arrowchat_themes.default='1'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$error = "لا يمكنك تعطيل الستايل الافتراضي المستخدم حاليًا.";
		}
		
		if (empty($error)) {
			$active = 1;
			if ($_GET['activate'] == 1) {
				$sql = "UPDATE arrowchat_status SET theme = null WHERE theme='".mysql_real_escape_string($_GET['id'])."'";
				mysql_query($sql);
				$active = 0;
			}
			
			$sql = "UPDATE arrowchat_themes SET active='".$active."' WHERE id='".mysql_real_escape_string($_GET['id'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تفعيل/تعطيل الستايل بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
	}
	
	// Delete Theme Processor
	if (isset($_GET['delete'])) {
		if (empty($_GET['delete'])) {
			$error = "لم يتم العثور على اسم الستايل المراد حذفه.";
		}
		
		$sql = "SELECT arrowchat_themes.default FROM arrowchat_themes WHERE id='".mysql_real_escape_string($_GET['delete'])."' AND arrowchat_themes.default='1'";
		$result = mysql_query($sql);
		if ($result && mysql_num_rows($result) > 0) {
			$error = "لا يمكنك إزالة الثيم الافتراضي المستخدم حاليًا.";
		}
		
		if (empty($error)) {
			$sql = "DELETE FROM arrowchat_themes WHERE id='".mysql_real_escape_string($_GET['delete'])."'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم إزالة الستايل بنجاح.";
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
	}
	
	// Save Template Processor
	if (isset($_POST['save_template_submit']) || isset($_POST['save_template_submit_x'])) {
		if (file_exists($_POST['template_file']) && is_writable($_POST['template_file'])) {
			$fh = fopen($_POST['template_file'], 'w');
			fwrite($fh, stripslashes($_POST['template_data']));
			fclose($fh);
			$msg = "تم تعديل الملف بنجاح.";
		} else {
			$error = "الملف غير موجود أو أنه محمي من الكتابة.";
		}
	}
	
	function get_include_contents($filename) {
		if (file_exists($filename)) {
			if ($contents = file_get_contents($filename, true))
			return $contents;
		} else {
			return "لم يتم العثور على الملف. تأكد من وجوده في مجلد الستايلات.";
		}
	}
	
	function folderlist(){
		$startdir = '../themes/';
		$ignoredDirectory[] = '.'; 
		$ignoredDirectory[] = '..';
		if (is_dir($startdir)){
		   if ($dh = opendir($startdir)){
			   while (($folder = readdir($dh)) !== false){
				   if (!(array_search($folder,$ignoredDirectory) > -1)){
					 if (filetype($startdir . $folder) == "dir"){
						   $directorylist[$startdir . $folder]['name'] = $folder;
						   $directorylist[$startdir . $folder]['path'] = $startdir;
					   }
				   }
			   }
			   closedir($dh);
		   }
		}
		return($directorylist);
	}

?>

<? require ("includes/pages_header.php"); ?>

<?
	if (!empty($msg)) {
?>
			<div dir="rtl" class="success"> 
				<div dir="rtl" style="font-weight: bold;">تم بنجاح:</div> 
				<?=$msg?>
			</div> 
<?
	}
?>
<?
	if (!empty($error)) {
?>
			<div dir="rtl" class="error"> 
				<div dir="rtl" style="font-weight: bold;">عفوًا !! هناك خطأ :</div> 
				<?=$error?>
			</div> 
<?
	}
?>

			<div dir="rtl" class="title_bg"> 
				<div dir="rtl" class="title">الستايل</div> 
				<div dir="rtl" class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
<?
	if ($do == "edit") {
		if (!empty($msg)) {
?>
					<a href="themes.php?do=managethemes">اضغط هنا للعودة لإدارة الستايلات</a>
<?
		} else {
			$sql = "SELECT * FROM arrowchat_themes WHERE id='".mysql_real_escape_string($_GET[id])."'";
			$result = mysql_query($sql);
			if ($result && mysql_num_rows($result) > 0) {
				$row = mysql_fetch_array($result);
?>
					<img src="images/icons/bookmark_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">تعديل الستايل</div><br /><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								اسم الستايل<br />
								<span dir="rtl" class="subtext">اكتب اسمًا لهذا الستايل</span>
							</th>
							<td><input type="text" name="theme_name" value="<?=$row['name']?>" /></td>
						</tr>
						<tr>
							<th>
								مجلد الستايل<br />
								<span dir="rtl" class="subtext">مجلد الستايل . يجب عليك عدم تغيير هذا .</span>
							</th>
							<td><input dir="ltr" type="text" name="theme_folder" value="<?=$row['folder']?>" /></td>
						</tr>
						<tr>
							<th>
								تفعيل؟<br />
								<span dir="rtl" class="subtext">هل تريد جعل هذا الستايل مفعلاً بحيث يمكن للأعضاء تغيير الستايل اذا كانت ميزة تغيير الستايلات مفعلة؟</span>
							</th>
							<td><input type="checkbox" name="theme_active" value="1" <? if ($row['default']==1) { echo "checked"; echo " disabled"; } else if ($row['active']==1) echo "checked"; ?> /></td>
						</tr>
						<tr>
							<th>
								تعيين كـ افتراضي؟<br />
								<span dir="rtl" class="subtext">حدد هذا الخيار اذا كنت تريد جعل الستايل افتراضيًا.</span>
							</th>
							<td><input type="checkbox" name="theme_default" value="1" <? if ($row['default']==1) { echo "checked"; echo " disabled"; } ?> /></td>
						</tr>
					</table>
					
					<p dir="rtl" class="submit">
						<input type="hidden" name="theme_id" value="<?=$row['id']?>" />
						<? if ($row['default']==1) { ?>
						<input type="hidden" name="theme_active" value="1" />
						<input type="hidden" name="theme_default" value="1" />
						<? } ?>
						<input type="submit" name="theme_edit_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
			} else {
?>
				هذا الستايل غير موجود.
<?
			}
		}
	}
?>
<?
	if ($do == "install") {
		if (!empty($msg)) {
?>
					<a href="themes.php?do=managethemes">اضغط هنا للعودة لإدارة الستايلات</a>
<?
		} else {
?>
					<img src="images/icons/bookmark_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">تثبيت الستايل</div><br /><br />
					<table dir="rtl" cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								اسم الستايل<br />
								<span dir="rtl" class="subtext">اكتب اسمًا لهذا الستايل</span>
							</th>
							<td><input type="text" name="theme_name" value="<?=$_POST['theme_name']?>" /></td>
						</tr>
						<tr>
							<th>
								مجلد الستايل<br />
								<span dir="rtl" class="subtext">مجلد الستايل . يجب عليك عدم تغيير هذا .</span>
							</th>
							<td><input dir="ltr" type="text" name="theme_folder" value="<? if (!empty($_POST['theme_folder'])) { echo $_POST['theme_folder']; } else { echo $_GET['f']; } ?>" /></td>
						</tr>
						<tr>
							<th>
								تفعيل؟<br />
								<span dir="rtl" class="subtext">هل تريد جعل هذا الستايل مفعلاً بحيث يمكن للأعضاء تغيير الستايل اذا كانت ميزة تغيير الستايلات مفعلة؟</span>
							</th>
							<td><input type="checkbox" name="theme_active" value="1" <? if ($_POST['theme_active']==1) echo "checked"; ?> /></td>
						</tr>
						<tr>
							<th>
								تعيين كـ افتراضي؟<br />
								<span dir="rtl" class="subtext">حدد هذا الخيار اذا كنت تريد جعل الستايل افتراضيًا.</span>
							</th>
							<td><input type="checkbox" name="theme_default" value="1" <? if ($_POST['theme_default']==1) echo "checked"; ?> /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="submit" name="theme_install_submit" class="button-primary" value="تثبيت" />
					</p>
<?
		}
	}
?>
<?
	if ($do == "smilies") {
?>
					<img src="images/icons/smile_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">إدارة الابتسامات</div><br /><br />
					<table dir="rtl" cellspacing="10" cellpadding="0" class="module_table">
						<tr>
							<td dir="rtl" colspan="3">الإسم / والمكان هو اسم ومكان صورة الابتسامة. مثال: smiley-sad ستكون موجودة في: themes/{theme name}/images/smilies/smiley-sad.gif</td>
						</tr>
						<tr>
							<td dir="rtl" style="width: 250px;"><b>الإسم / المكان</b></td>
							<td dir="rtl" style="width: 250px;"><b>الرمز</b></td>
							<td><b>خيارات</b></td>
						</tr>
<?
	$sql = "SELECT * FROM arrowchat_smilies";
	$result = mysql_query($sql);
	$i = 1;
	while ($row = mysql_fetch_array($result)) {
?>
						<tr>
							<td>
								<input dir="ltr" type="hidden" name="smiley_id_<?=$i?>" value="<?=$row['id']?>" />
								<input dir="ltr" type="text" name="smiley_name_<?=$i?>" value="<?=$row['name']?>" />
							</td>
							<td><input dir="ltr" type="text" name="smiley_pattern_<?=$i?>" value="<?=$row['code']?>" /></td>
							<td><a href="themes.php?do=smilies&deletesmiley=<?=$row['id']?>">حذف</a></td>
						</tr>
<?
		$i++;
	}
?>
					</table>
					<p dir="rtl" class="submit">
						<input type="hidden" name="smiley_count" value="<?=$i?>" />
						<input type="submit" name="smiley_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
					</form>

				</div>
			</div>
			<div dir="rtl" class="title_bg"> 
				<div dir="rtl" class="title">إضافة ابتسامة</div> 
				<div class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
					<table dir="rtl" cellspacing="10" cellpadding="0" class="module_table">
						<tr>
							<td dir="rtl" style="width: 250px;"><b>الإسم / المكان</b></td>
							<td dir="rtl" style="width: 250px;"><b>الرمز</b></td>
						</tr>
						<tr>
							<td dir="ltr" style="width: 250px;"><input type="text" name="add_smiley_name" value="" /></td>
							<td dir="ltr" style="width: 250px;"><input type="text" name="add_smiley_pattern" value="" /></td>
						</tr>
					</table>
					<p dir="rtl" class="submit">
						<input type="submit" name="add_smiley_submit" class="button-primary" value="إضافة ابتسامة" />
					</p>
<?
	}
?>
<?
	if ($do == "managethemes") {
?>
					<img src="images/icons/bookmark_32.png" alt="" border="0" />&nbsp;<div dir="rtl" class="subtitle">إدارة الستايلات</div><br /><br />
					<b>الستايلات المثبتة</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 300px;">الإسم</td>
								<td dir="rtl" style="width: 100px;">افتراضي</td>
								<td dir="rtl" style="width: 100px;">يستخدمه</td>
								<td>خيارات</td>
							</tr>
						</thead>
						<tbody>
<?
		$theme_array = array();
		$sql = "SELECT * FROM arrowchat_themes";
		$result = mysql_query($sql);
		while ($row = mysql_fetch_assoc($result)) {
			if ($row['default']==1) {
				$sql = "SELECT COUNT(*) FROM arrowchat_status WHERE theme='".$row[id]."' OR theme IS NULL";
				$result2 = mysql_query($sql);
				$used_by = mysql_fetch_row($result2);
			} else {
				$sql = "SELECT COUNT(*) FROM arrowchat_status WHERE theme='".$row[id]."'";
				$result2 = mysql_query($sql);
				$used_by = mysql_fetch_row($result2);
			}
			
			$theme_array[] = $row['folder'];
?>
							<tr>
								<td><?=$row['name']?></td>
								<td><? if ($row['default']==1) echo "نعم"; else echo "لا"; ?></td>
								<td><?=$used_by[0]?></td>
								<td><a href="themes.php?do=edit&id=<?=$row['id']?>">تعديل</a> | <a href="themes.php?do=managethemes&activate=<?=$row['active']?>&id=<?=$row['id']?>"><? if ($row['active']==1) echo "تعطيل"; else echo "تفعيل"; ?></a> | <a href="themes.php?do=managethemes&delete=<?=$row['id']?>">حذف</a></td>
							</tr>
<?
		}
?>
						</tbody>
					</table>
					<br /><br />
					<b>الستايلات الغير مثبتة</b>
					<table dir="rtl" cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td dir="rtl" style="width: 517px;">الإسم</td>
								<td>خيارات</td>
							</tr>
						</thead>
						<tbody>
<?
		$folders = folderlist();
		$no_installed = true;
		foreach ($folders as $folder) {
			if (!in_array($folder['name'], $theme_array)) {
				$no_installed = false;
?>
							<tr>
								<td><?=$folder['name']?></td>
								<td><a href="themes.php?do=install&f=<?=$folder['name']?>">تثبيت</a></td>
							</tr>
<?
			}
		}
		
		if ($no_installed) {
?>
							<tr>
								<td dir="rtl" colspan="2">لا يوجد ستايلات غير مثبتة</td>
							</tr>
<?
		}
?>
						</tbody>
					</table>
<?
	}
?>
<?
	if ($do == "templates") {
?>
					<table dir="rtl" style="font-size:12px;">
						<tr style="height: 25px;">
							<td dir="rtl" style="width: 200px;"><b>اختر الستايل للتعديل عليه:</b></td>
							<td>
								<select dir="ltr" name="edit_theme" onChange="this.form.submit();">
<?
	$sql = "SELECT * FROM arrowchat_themes";
	$result = mysql_query($sql);
	while ($row = mysql_fetch_array($result)) {
?>
									<option value="<?=$row['folder']?>" <?=($_POST['edit_theme'] == $row['folder'] && !empty($_POST['edit_theme'])) || (empty($_POST['edit_theme']) && $row['default'] == 1) ? "selected" : "" ?>><?=$row['name']?></option>
<?
	}
?>
								</select>
								<input type="submit" name="theme_select" value="اذهب" />
							</td>
						</tr>
						<tr>
							<td><b>اختر قالبًا للتعديل:</b></td>
							<td>
								<select dir="ltr" name="edit_template" onChange="this.form.submit();">
									<option value="css">Stylesheet</option>
									<option value="applications_bookmarks_list" <?=$_POST['edit_template'] == "applications_bookmarks_list" ? "selected" : "" ?>>Applications Bookmarks List</option>
									<option value="applications_bookmarks_tab" <?=$_POST['edit_template'] == "applications_bookmarks_tab" ? "selected" : "" ?>>Applications Bookmarks Tab</option>
									<option value="applications_bookmarks_window" <?=$_POST['edit_template'] == "applications_bookmarks_window" ? "selected" : "" ?>>Applications Bookmarks Window</option>
									<option value="applications_tab" <?=$_POST['edit_template'] == "applications_tab" ? "selected" : "" ?>>Applications Tab</option>
									<option value="applications_window" <?=$_POST['edit_template'] == "applications_window" ? "selected" : "" ?>>Applications Window</option>
									<option value="bar_hide_tab" <?=$_POST['edit_template'] == "bar_hide_tab" ? "selected" : "" ?>>Bar Hide Tab</option>
									<option value="bar_show_tab" <?=$_POST['edit_template'] == "bar_show_tab" ? "selected" : "" ?>>Bar Show Tab</option>
									<option value="buddylist_tab" <?=$_POST['edit_template'] == "buddylist_tab" ? "selected" : "" ?>>Buddy List Tab</option>
									<option value="buddylist_window" <?=$_POST['edit_template'] == "buddylist_window" ? "selected" : "" ?>>Buddy List Window</option>
									<option value="chat_tab" <?=$_POST['edit_template'] == "chat_tab" ? "selected" : "" ?>>Chat Tab</option>
									<option value="chat_window" <?=$_POST['edit_template'] == "chat_window" ? "selected" : "" ?>>Chat Window</option>
									<option value="notifications_tab" <?=$_POST['edit_template'] == "notifications_tab" ? "selected" : "" ?>>Notifications Tab</option>
									<option value="notifications_window" <?=$_POST['edit_template'] == "notifications_window" ? "selected" : "" ?>>Notifications Window</option>
								</select>
								<input type="submit" name="template_select" value="اذهب" />
							</td>
						</tr>
					</table>
					</form>

				</div>
			</div>
			<div class="title_bg"> 
				<div dir="rtl" class="title">تعديل القوالب</div> 
				<div dir="ltr" class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
<?
	if (empty($_POST['edit_template']) || $_POST['edit_template'] == "css") {
		if (empty($_POST['edit_theme']))
			$themefile = "../themes/".$theme."/css/style.css";
		else
			$themefile = "../themes/".$_POST['edit_theme']."/css/style.css";
	} else {
		if (empty($_POST['edit_theme']))
			$themefile = "../themes/".$theme."/template/".$_POST['edit_template'].".php";
		else
			$themefile = "../themes/".$_POST['edit_theme']."/template/".$_POST['edit_template'].".php";
	}
	$textarea = get_include_contents($themefile);
	$textarea = stripslashes($textarea);
?>
					<textarea name="template_data" style="width: 700px; height: 400px;"><?=$textarea?></textarea>
<?
		if (is_writable($themefile)) {
?>
					<p dir="rtl" class="submit">
						<input type="submit" name="save_template_submit" class="button-primary" value="حفظ الملف" />
						<input type="hidden" name="template_file" value="<?=$themefile?>" />
						<input type="hidden" name="edit_template" value="<?=$_POST['edit_template']?>" />
						<input type="hidden" name="edit_theme" value="<?=$_POST['edit_theme']?>" />
					</p>
<?
		} else {
?>
					<br /><br /><b>يتوجب عليك تعديل تصاريح الملف لتتمكن من التعديل عليه وتجده هنا:<br /><?=$themefile?></b>
<?
		}
?>
<?
	}
?>
					
					</form>

				</div>
			</div>
			

<? require ("includes/pages_footer.php"); ?>